org.apache.ivy.osgi.obr.xml

## Class Capability

- java.lang.Object
- - org.apache.ivy.osgi.obr.xml.Capability

    public class Capability
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Capability(java.lang.String name)`

### Method Summary

Methods
`void` `addProperty(java.lang.String n, java.lang.String value, java.lang.String type)`
`java.lang.String` `getName()`
`java.util.List<CapabilityProperty>` `getProperties()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Capability

    public Capability(java.lang.String name)

### Method Detail

#### getName

    public java.lang.String getName()

#### addProperty

    public void addProperty(java.lang.String n,
                   java.lang.String value,
                   java.lang.String type)

#### getProperties

    public java.util.List<CapabilityProperty> getProperties()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`